Subject: Re: bug#18504: 24.3.93; posn-at-point intermittently returns wrong value for a valid buffer position

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Sep 2014 17:21:07 +0300

> Date: Fri, 19 Sep 2014 18:06:47 +0400
> From: Dmitry Gutov <[email-masked]>
> CC: [email-masked]
> On 09/19/2014 06:00 PM, Eli Zaretskii wrote:
> 
> >> I'm not quite sure how we get to that point, to be honest.
> >
> > ??? Your recipe includes fast presses on C-/ and C-g.  Or did I
> > misunderstand?
> 
> Yes. I'm not sure how we get there code-wise, though.

So I'm asking again: why does it matter what happens after a C-g,
i.e. after the user abandons the completion?

> >> I get:
> >>
> >> company--col-row zero!
> >> then:
> >> (0 . 198)
> >
> > Thanks, but with what sequence of commands do you get that?
> 
> Same as previously described, no change there. Just make sure to (setq 
> bidi-display-reordering nil).

Can you show the full value of posn-at-point in that case?